Package com.emc.documentum.rest.security.ticket

# Enum Class ClientToken.TokenField

java.lang.Object
java.lang.Enum<ClientToken.TokenField>
com.emc.documentum.rest.security.ticket.ClientToken.TokenField

All Implemented Interfaces:
  `Serializable`, `Comparable<ClientToken.TokenField>`, `Constable`

Enclosing class:
  ClientToken

public static enum ClientToken.TokenField extends Enum<ClientToken.TokenField>
Token fields for client token

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLIENT_INFO`
  `COOKIE_UUID`
  `CREATED`
  `CSRF_HEADER_NAME`
  `CSRF_QUERY_NAME`
  `CSRF_TOKEN`
  `CSRF_TOKEN_MD`
  `DOCUMENTUM_LOGIN_TICKET`
  `DOMAIN`
  `DT_EXPIRED`
  `EXPIRED`
  `ISSUER`
  `MAX_AGE`
  `PRINCIPAL`
  `PROXY_GRANTING_TICKET`
  `RANDOM_NONCE`
  `VERSION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ClientToken.TokenField`
  `of(String tokenString)`
  Get token field by short name.
  `static ClientToken.TokenField`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ClientToken.TokenField[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DOCUMENTUM_LOGIN_TICKET

    public static final ClientToken.TokenField DOCUMENTUM_LOGIN_TICKET

  - ### PRINCIPAL

    public static final ClientToken.TokenField PRINCIPAL

  - ### DOMAIN

    public static final ClientToken.TokenField DOMAIN

  - ### CREATED

    public static final ClientToken.TokenField CREATED

  - ### DT_EXPIRED

    public static final ClientToken.TokenField DT_EXPIRED

  - ### EXPIRED

    public static final ClientToken.TokenField EXPIRED

  - ### MAX_AGE

    public static final ClientToken.TokenField MAX_AGE

  - ### VERSION

    public static final ClientToken.TokenField VERSION

  - ### ISSUER

    public static final ClientToken.TokenField ISSUER

  - ### CLIENT_INFO

    public static final ClientToken.TokenField CLIENT_INFO

  - ### RANDOM_NONCE

    public static final ClientToken.TokenField RANDOM_NONCE

  - ### PROXY_GRANTING_TICKET

    public static final ClientToken.TokenField PROXY_GRANTING_TICKET

  - ### CSRF_HEADER_NAME

    public static final ClientToken.TokenField CSRF_HEADER_NAME

  - ### CSRF_QUERY_NAME

    public static final ClientToken.TokenField CSRF_QUERY_NAME

  - ### CSRF_TOKEN_MD

    public static final ClientToken.TokenField CSRF_TOKEN_MD

  - ### CSRF_TOKEN

    public static final ClientToken.TokenField CSRF_TOKEN

  - ### COOKIE_UUID

    public static final ClientToken.TokenField COOKIE_UUID

- ## Method Details

  - ### values

    public static ClientToken.TokenField[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ClientToken.TokenField valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### of

    public static ClientToken.TokenField of(String tokenString)
    Get token field by short name.
    Parameters:
      `tokenString` - short field name
    Returns:
      the token field